#import "JEN_MenuItemController.h"
#import "JEN_MenuAppMethods.h"

@implementation JEN_MenuItemController

// The actions here "my_action_1" and "my_action_2" are completely arbitrary and are just used
// to demonstrate how to call handlers in an AppleScript. They correspond to handlers in the
// menu_item_controller.applescript file.

- (IBAction)myAction1:(id)sender {
	[JEN_MenuAppMethods runASHandlerInScript:@"menu_item_controller" handler:@"my_action_1" parameters:[sender title]];
}

- (IBAction)myAction2:(id)sender {
	[JEN_MenuAppMethods runASHandlerInScript:@"menu_item_controller" handler:@"my_action_2" parameters:[sender title]];
}

- (void)populateMenu:(NSMenu *)menu withData:(NSArray *)data withAction:(NSString *)action {
	NSEnumerator *e = [data objectEnumerator];
	id title;
	while (title = [e nextObject]) {
		[menu addItem:[self makeMenuItemWithTitle:title withAction:action]];
	}
}

- (NSMenuItem *)makeMenuItemWithTitle:(NSString *)title withAction:(NSString *)action {
	if ([title isEqualToString:@""]) return (NSMenuItem *)[NSMenuItem separatorItem];
	NSMenuItem *menuItem = [[[NSMenuItem alloc] init] autorelease];
	[menuItem setTitle:title];
	[menuItem setTarget:self];
	if ([action isEqualToString:@"my_action_1"]) {
		[menuItem setAction:@selector(myAction1:)];
	} else if([action isEqualToString:@"my_action_2"]) {
		[menuItem setAction:@selector(myAction2:)];
	}
	[menuItem setEnabled:YES];
	return menuItem;
}

@end
