#import <Cocoa/Cocoa.h>

// The typedef enums aren't strictly necessary but they help to clarify 
// what's going on in your code.

typedef enum {
	MenuAppDisplayOptionTitleOnly		= 1, 
	MenuAppDisplayOptionIconOnly		= 2, 
	MenuAppDisplayOptionTitleAndIcon	= 3
} MenuAppDisplayOption;

typedef enum {
	MenuAppAnimationOptionNone			= 1, 
	MenuAppAnimationOptionAnimateIcon	= 2, 
	MenuAppAnimationOptionUseSpinner	= 3
} MenuAppAnimationOption;

@interface JEN_StatusItemController : NSObject {
	NSStatusItem *statusItem;
	NSTimer *animationTimer;
	int updateCount;
	NSMenu *menu;
}

- (void)createStatusItemWithMenu:(NSMenu *)_menu;
- (void)updateDisplay;
- (void)updateAnimation:(MenuAppAnimationOption)animationOption;
- (void)toggleIconAnimation:(BOOL)shouldStart;
- (void)releaseStatusItem;

@end
